Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.multiplex
Class Route

    java.lang.Object
      org.xmpp.packet.Packet
          org.jivesoftware.openfire.multiplex.Route

    public class Route

extends org.xmpp.packet.Packet

Route packets identify target sessions by their stream ID and contain a single wrapped stanza that should be processed by the target session.

Author:
  Gaston Dombiak

Field Summary

Fields inherited from class org.xmpp.packet.Packet
`docFactory, element, fromJID, toJID`

Constructor Summary
`Route(org.dom4j.Element element)` Constructs a new Route using an existing Element.
`Route(Route route)`
`Route(String streamID)` Constructs a new Route.

Method Summary
`Route` | `createCopy()` Returns a deep copy of this route packet.
`org.dom4j.Element` | `getChildElement()` Returns the wrapped stanza that is being routed.
`String` | `getStreamID()` Return the stream ID that identifies the connection that is actually sending the wrapped stanza.
`void` | `setChildElement(org.dom4j.Element childElement)` Sets the wrapped stanza by this Route packet.

Methods inherited from class org.xmpp.packet.Packet
`addExtension, deleteExtension, getElement, getError, getExtension, getFrom, getID, getTo, setError, setError, setFrom, setFrom, setID, setTo, setTo, toString, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Route

    public Route(String streamID)

  Constructs a new Route.

  Parameters:
    `streamID` - the stream ID that identifies the connection that is actually sending the wrapped stanza.

### Route

    public Route(org.dom4j.Element element)

  Constructs a new Route using an existing Element. This is useful for parsing incoming route Elements into Route objects.

  Parameters:
    `element` - the route Element.

### Route

    public Route(Route route)

Method Detail

### getChildElement

    public org.dom4j.Element getChildElement()

  Returns the wrapped stanza that is being routed. Route packets must have a single wrapped stanza. This is a convenience method to avoid manipulating the underlying packet's Element instance directly.

  Returns:
    the wrapped stanza.

### setChildElement

    public void setChildElement(org.dom4j.Element childElement)

  Sets the wrapped stanza by this Route packet. ClientRoute packets may have a single child element. This is a convenience method to avoid manipulating this underlying packet's Element instance directly.

  Parameters:
    `childElement` - the child element.

### getStreamID

    public String getStreamID()

  Return the stream ID that identifies the connection that is actually sending the wrapped stanza.

  Returns:
    the stream ID that identifies the connection that is actually sending the wrapped stanza.

### createCopy

    public Route createCopy()

  Returns a deep copy of this route packet.

  Specified by:
    `createCopy` in class `org.xmpp.packet.Packet`
  Returns:
    a deep copy of this route packet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.